## debconf 1.5.82

=== debian/changelog ===
debconf (1.5.82) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.
  * Don't remove /var/cache/debconf/tmp.ci, to avoid warnings if it's a
    mountpoint (closes: #1028128).

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Jan 2023 21:50:51 +0000

debconf (1.5.81) unstable; urgency=medium

  [ martin f krafft ]
  * confmodule: Allow use from scripts with "set -u" (closes: #369953).

  [ Colin Watson ]
  * dpkg-preconfigure: Extract into /var/cache/debconf/tmp.ci, to avoid
    problems if /tmp is mounted noexec (closes: #223683, LP: #90085).
  * dpkg-reconfigure: Document --terse (closes: #737392).

  [ Jakub Wilk ]
  * debconf-get-selections: Sort output by question name (closes: #968814).

  [ Matthijs Kooijman ]
  * Display unsupported commands in debug logging (closes: #657626).

  [ Anders Kaseorg ]
  * Make Readline frontend check that stdin is a tty (closes: #929417).

 -- Colin Watson <cjwatson@debian.org>  Sun, 01 Jan 2023 20:27:59 +0000

debconf (1.5.80) unstable; urgency=medium

  [ Colin Watson ]
  * Simplify a debhelper override slightly.
  * debconf: Drop version constraint on ubiquity and update-notifier-common
    in Breaks.

  [ Programs translations ]
  * Indonesian (Andika Triwidada; closes: #1007991).
  * Russian (Ukraine) (Bohdan Horbeshko).
  * French (Baptiste Jammet; closes: #1008655).

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on po4a.
    + Build-Depends-Indep: Drop versioned constraint on gettext, perl and
      python3.
    + debconf: Drop versioned constraint on debconf-kde-helper in Suggests.
    + debconf: Drop versioned constraint on apt-utils in Recommends.
    + debconf: Drop versioned constraint on perl-base in Pre-Depends.
    + debconf: Drop versioned constraint on apt, cdebconf, debconf-utils,
      dialog, menu and whiptail in Conflicts.
    + debconf: Drop versioned constraint on apt-listchanges in Breaks.
    + debconf-i18n: Drop versioned constraint on debconf-utils in Conflicts.
    + debconf-i18n: Drop versioned constraint on debconf and debconf-utils in
      Replaces.
    + debconf-doc: Drop versioned constraint on debian-policy in Suggests.
    + debconf-doc: Drop versioned constraint on debconf in Conflicts.
    + debconf-utils: Drop versioned constraint on debconf in Conflicts.
    + debconf-utils: Drop versioned constraint on debconf in Replaces.
    + python3-debconf: Drop versioned constraint on debconf in Replaces.
    + python3-debconf: Drop versioned constraint on debconf in Breaks.

  [ Dave Jones ]
  * dpkg-reconfigure: fix restart of services declared with
    --no-restart-after-upgrade (closes: #1006147, LP: #1959054).

 -- Colin Watson <cjwatson@debian.org>  Sun, 27 Nov 2022 20:39:29 +0000

=== debian/control ===
Source: debconf
Section: admin
Priority: optional
Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>,
Standards-Version: 4.0.0
Build-Depends-Indep: gettext,
                     libintl-perl,
                     perl,
                     python3,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-python,
               po-debconf,
               po4a,
Vcs-Git: https://salsa.debian.org/pkg-debconf/debconf.git
Vcs-Browser: https://salsa.debian.org/pkg-debconf/debconf

Package: debconf
Priority: important
Conflicts: debconf-tiny,
           whiptail-utf8 (<= 0.50.17-13),
Provides: debconf-2.0,
Replaces: debconf-tiny,
Depends: ${misc:Depends},
Recommends: apt-utils,
            debconf-i18n,
Suggests: debconf-doc,
          debconf-kde-helper,
          debconf-utils,
          libgtk3-perl,
          libnet-ldap-perl,
          libterm-readline-gnu-perl,
          perl,
          whiptail | dialog,
Architecture: all
Multi-Arch: foreign
Description: Debian configuration management system
 Debconf is a configuration management system for debian packages. Packages
 use Debconf to ask questions when they are installed.

Package: debconf-i18n
Section: localization
Priority: important
Conflicts: debconf-english,
Architecture: all
Depends: debconf (= ${source:Version}),
         liblocale-gettext-perl,
         libtext-charwidth-perl,
         libtext-iconv-perl,
         libtext-wrapi18n-perl,
         ${misc:Depends},
Description: full internationalization support for debconf
 This package provides full internationalization for debconf, including
 translations into all available languages, support for using translated
 debconf templates, and support for proper display of multibyte character
 sets.

Package: debconf-doc
Suggests: debian-policy,
Depends: ${misc:Depends},
Section: doc
Architecture: all
Multi-Arch: foreign
Description: debconf documentation
 This package contains lots of additional documentation for Debconf,
 including the debconf user's guide, documentation about using different
 backend databases via the /etc/debconf.conf file, and a developer's guide
 to debconf.

Package: debconf-utils
Section: devel
Depends: debconf (= ${source:Version}),
         ${misc:Depends},
Architecture: all
Description: debconf utilities
 This package contains some small utilities for debconf developers.

Package: python3-debconf
Section: python
Depends: debconf (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
Architecture: all
Description: interact with debconf from Python 3
 Debconf is a configuration management system for debian packages. Packages
 use Debconf to ask questions when they are installed.
 .
 This package provides a debconf module to allow Python 3 programs to
 interact with a debconf frontend.

## debconf 1.5.83

=== debian/changelog ===
debconf (1.5.83) unstable; urgency=medium

  [ Ani Hay ]
  * Recompress debian-logo.png.

  [ Alexandre Detiste ]
  * debconf.py: Add typing information to ease apt-listchanges testing.
  * Rename debian/postinst to debian/debconf.postinst for debhelper 14/15
    compatibility.

  [ Colin Watson ]
  * Avoid Perl's unsafe "<>" operator (closes: #1041329).

 -- Colin Watson <cjwatson@debian.org>  Sun, 24 Dec 2023 12:34:57 +0000

## debconf 1.5.86ubuntu1

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>,
 Standards-Version: 4.0.0
 Build-Depends-Indep: gettext,

## debconf 1.5.86ubuntu1trisquel1

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>,
 Standards-Version: 4.0.0

## debconf 1.5.87

=== debian/control ===
Source: debconf
Section: admin
Priority: optional
Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
Uploaders:
 Colin Watson <cjwatson@debian.org>,
Standards-Version: 4.0.0
Build-Depends-Indep:
 gettext,
 libintl-perl,
 perl,
 python3,
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-python,
 po-debconf,
 po4a,
Vcs-Git: https://salsa.debian.org/pkg-debconf/debconf.git
Vcs-Browser: https://salsa.debian.org/pkg-debconf/debconf
X-Style: black

Package: debconf
Priority: important
Conflicts:
 debconf-tiny,
 whiptail-utf8 (<= 0.50.17-13),
Provides:
 debconf-2.0,
Replaces:
 debconf-tiny,
Depends:
 ${misc:Depends},
Recommends:
 apt-utils,
 debconf-i18n,
Suggests:
 debconf-doc,
 debconf-kde-helper,
 debconf-utils,
 libgtk3-perl,
 libnet-ldap-perl,
 libterm-readline-gnu-perl,
 perl,
 whiptail | dialog,
Architecture: all
Multi-Arch: foreign
Description: Debian configuration management system
 Debconf is a configuration management system for debian packages. Packages
 use Debconf to ask questions when they are installed.

Package: debconf-i18n
Section: localization
Priority: important
Conflicts:
 debconf-english,
Architecture: all
Depends:
 debconf (= ${source:Version}),
 liblocale-gettext-perl,
 libtext-charwidth-perl,
 libtext-iconv-perl,
 libtext-wrapi18n-perl,
 ${misc:Depends},
Description: full internationalization support for debconf
 This package provides full internationalization for debconf, including
 translations into all available languages, support for using translated
 debconf templates, and support for proper display of multibyte character
 sets.

Package: debconf-doc
Suggests:
 debian-policy,
Depends:
 ${misc:Depends},
Section: doc
Architecture: all
Multi-Arch: foreign
Description: debconf documentation
 This package contains lots of additional documentation for Debconf,
 including the debconf user's guide, documentation about using different
 backend databases via the /etc/debconf.conf file, and a developer's guide
 to debconf.

Package: debconf-utils
Section: devel
Depends:
 debconf (= ${source:Version}),
 ${misc:Depends},
Architecture: all
Description: debconf utilities
 This package contains some small utilities for debconf developers.

Package: python3-debconf
Section: python
Depends:
 debconf (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Architecture: all
Description: interact with debconf from Python 3
 Debconf is a configuration management system for debian packages. Packages
 use Debconf to ask questions when they are installed.
 .
 This package provides a debconf module to allow Python 3 programs to
 interact with a debconf frontend.

## debconf 1.5.87ubuntu1

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
 Standards-Version: 4.0.0
@@ -32,7 +33,7 @@
 Depends:
  ${misc:Depends},
 Recommends:
- apt-utils,
+ apt (>= 2.9.11~) | apt-utils,
  debconf-i18n,
 Suggests:
  debconf-doc,

## debconf 1.5.91

=== Makefile ===
MUNGE=xargs perl -i.bak -ne ' \
		print $$_."\# This file was preprocessed, do not edit!\n" \
			if m:^\#!/usr/bin/perl:; \
		$$cutting=1 if /^=/; \
		$$cutting="" if /^=cut/; \
		next if /use lib/; \
		next if $$cutting || /^(=|\s*\#)/; \
		print $$_ \
	'

all:
	$(MAKE) -C doc
	$(MAKE) -C po

clean:
	find . \( -name \*~ -o -name \*.pyc -o -name \*.pyo \) | xargs rm -f
	rm -rf __pycache__
	$(MAKE) -C doc clean
	$(MAKE) -C po clean

# Does not attempt to install documentation, as that can be fairly system
# specific.
install: install-utils install-python3 install-rest

# Anything that goes in the debconf-utils package.
install-utils:
	install -d $(prefix)/usr/bin
	find . -maxdepth 1 -perm /100 -type f -name 'debconf-*' | grep -v debconf-set-selections | grep -v debconf-show | grep -v debconf-copydb | grep -v debconf-communicate | grep -v debconf-apt-progress | grep -v debconf-escape | \
		xargs -i install {} $(prefix)/usr/bin

# Anything that goes in the debconf-i18n package.
install-i18n:
	$(MAKE) -C po install

PERL := perl
PERL_VENDORLIB := $(shell $(PERL) -MConfig -e 'print $$Config{vendorlib}')

# The Python 3 package.
install-python3:
	install -d $(prefix)/usr/lib/python3/dist-packages
	install -m 0644 debconf.py $(prefix)/usr/lib/python3/dist-packages/

# Install all else.
install-rest:
	install -d $(prefix)/etc \
		$(prefix)/var/cache/debconf \
		$(prefix)/usr/share/debconf \
		$(prefix)/usr/share/pixmaps
	install -m 0644 debconf.conf $(prefix)/etc/
	install -m 0644 debian-logo.png $(prefix)/usr/share/pixmaps/
	# This one is the ultimate backup copy.
	grep -v '^#' debconf.conf > $(prefix)/usr/share/debconf/debconf.conf
	# Make module directories.
	find Debconf -type d |grep -v CVS | \
		xargs -i install -d $(prefix)/$(PERL_VENDORLIB)/{}
	# Install modules.
	find Debconf -type f -name '*.pm' |grep -v CVS | \
		xargs -i install -m 0644 {} $(prefix)/$(PERL_VENDORLIB)/{}
	# Special case for back-compatability.
	install -d $(prefix)/$(PERL_VENDORLIB)/Debian/DebConf/Client
	cp Debconf/Client/ConfModule.stub \
		$(prefix)/$(PERL_VENDORLIB)/Debian/DebConf/Client/ConfModule.pm
	# Other libs and helper stuff.
	install -m 0644 confmodule.sh confmodule $(prefix)/usr/share/debconf/
	install frontend $(prefix)/usr/share/debconf/
	install -m 0755 fix_db.pl $(prefix)/usr/share/debconf/
	# Install essential programs.
	install -d $(prefix)/usr/sbin $(prefix)/usr/bin
	find . -maxdepth 1 -perm /100 -type f -name 'dpkg-*' | \
		xargs -i install {} $(prefix)/usr/sbin
	find . -maxdepth 1 -perm /100 -type f -name debconf -or -name debconf-show -or -name debconf-copydb -or -name debconf-communicate -or -name debconf-set-selections -or -name debconf-apt-progress -or -name debconf-escape | \
		xargs -i install {} $(prefix)/usr/bin
	# Now strip all pod documentation from all .pm files and scripts.
	find $(prefix)/$(PERL_VENDORLIB)/ $(prefix)/usr/sbin		\
	     $(prefix)/usr/share/debconf/frontend 			\
	     $(prefix)/usr/share/debconf/*.pl $(prefix)/usr/bin		\
	     -name '*.pl' -or -name '*.pm' -or -name 'dpkg-*' -or	\
	     -name 'debconf-*' -or -name 'frontend' | 			\
	     grep -v Client/ConfModule | $(MUNGE)
	find $(prefix) -name '*.bak' | xargs rm -f

demo:
	PERL5LIB=. ./frontend samples/demo

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
+Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
 Standards-Version: 4.0.0

=== debian/rules ===
#! /usr/bin/make -f

# Ensure that builds are self-hosting, which means I have to use the .pm
# files in this package, not any that may be on the system.
export PERL5LIB=.

%:
	dh $@ --with python3

override_dh_auto_install:
	$(MAKE) prefix=`pwd`/debian/debconf-utils install-utils
	$(MAKE) prefix=`pwd`/debian/debconf-i18n install-i18n
	$(MAKE) prefix=`pwd`/debian/python3-debconf install-python3
	$(MAKE) prefix=`pwd`/debian/debconf install-rest

override_dh_installdocs:
	dh_installdocs -Ndebconf-doc --link-doc=debconf
	dh_installdocs -pdebconf-doc

override_dh_installdebconf:
	# Don't modify postrm, I purge differently than normal packages
	# using me
	dh_installdebconf -n

execute_before_dh_installchangelogs:
	# Changelog reduction hack for debconf. Only include top 100 entries.
	perl -ne '$$c++ if /^debconf /; last if $$c > 100 ; print $$_' \
		< debian/changelog > debian/debconf.changelog

override_dh_compress:
	dh_compress -X demo.templates -X tutorial.templates

## debconf 1.5.92

=== Makefile ===
--- 
+++ 
@@ -11,10 +11,12 @@
 all:
 	$(MAKE) -C doc
 	$(MAKE) -C po
+	convert debian-logo.png debian-logo.bmp
 
 clean:
 	find . \( -name \*~ -o -name \*.pyc -o -name \*.pyo \) | xargs rm -f
 	rm -rf __pycache__
+	rm -f debian-logo.bmp
 	$(MAKE) -C doc clean
 	$(MAKE) -C po clean
 
@@ -48,6 +50,7 @@
 		$(prefix)/usr/share/pixmaps
 	install -m 0644 debconf.conf $(prefix)/etc/
 	install -m 0644 debian-logo.png $(prefix)/usr/share/pixmaps/
+	install -m 0644 debian-logo.bmp $(prefix)/usr/share/pixmaps/
 	# This one is the ultimate backup copy.
 	grep -v '^#' debconf.conf > $(prefix)/usr/share/debconf/debconf.conf
 	# Make module directories.

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Standards-Version: 4.0.0
 Build-Depends-Indep:
  gettext,
+ imagemagick,
  libintl-perl,
  perl,
  python3,
